<?php

namespace App\Http\Controllers\Student;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class CourseController extends Controller
{
    public function show(Course $course)
    {
        // Load relationships so Blade can access subject, level, modules etc.
        $course->load('subject', 'level', 'modules.lessonSections.chapters.lessons');

        return view('student.courses.show', compact('course'));
    }
}